# Uses of Interface
org.jboss.modules.ref.Reference

Packages that use Reference
Package
Description
org.jboss.modules.ref
Classes which implement reference types which can be cleaned up automatically by a background thread.

## Uses of Reference in org.jboss.modules.ref

Classes in org.jboss.modules.ref that implement Reference
Modifier and Type
Class
Description
`class`
`PhantomReference<T,A>`
A reapable phantom reference with an attachment.
`class`
`SoftReference<T,A>`
A reapable soft reference with an attachment.
`class`
`StrongReference<T,A>`
A strong reference with an attachment.
`class`
`WeakReference<T,A>`
A reapable weak reference with an attachment.
Methods in org.jboss.modules.ref that return Reference
Modifier and Type
Method
Description
`static <T, A> Reference<T,A>`
References.`create(Reference.Type type, T value, A attachment)`
Create a reference of a given type with the provided value and attachment.
`static <T, A> Reference<T,A>`
References.`create(Reference.Type type, T value, A attachment, ReferenceQueue<? super T> referenceQueue)`
Create a reference of a given type with the provided value and attachment.
`static <T, A> Reference<T,A>`
References.`create(Reference.Type type, T value, A attachment, Reaper<T,A> reaper)`
Create a reference of a given type with the provided value and attachment.
`static <T, A> Reference<T,A>`
References.`getNullReference()`
Get a null reference.
Methods in org.jboss.modules.ref with parameters of type Reference
Modifier and Type
Method
Description
`void`
Reaper.`reap(Reference<T,A> reference)`
Perform the cleanup action for a reference.